## qstardict 1.3

=== kdeplasma/CMakeLists.txt ===
project(kdeplasma-qstardict)
cmake_minimum_required(VERSION 3.5)

option(KF5 "Compile against KF5" ON)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})


if (KF5)
	message(STATUS "Compile against KF5")
	find_package(Qt5Core REQUIRED)
	find_package(Qt5Gui REQUIRED)
	find_package(KF5Plasma REQUIRED)
else(KF5)
	message(STATUS "Compile against KDE4")
	find_package(KDE4 REQUIRED)
	include (KDE4Defaults)
endif(KF5)
#include(MacroOptionalAddSubdirectory)


add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})


add_subdirectory(applet)
add_subdirectory(dataengine)

=== kdeplasma/applet/CMakeLists.txt ===
project(plasma-qstardict)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

set(qstardict_SRCS
    dict.cpp)

if (KF5)
	find_package(Qt5Widgets REQUIRED)
	find_package(KF5Completion REQUIRED)
	find_package(KF5ConfigWidgets REQUIRED)
    #include_directories(${Qt5Widgets_INCLUDES}Qt5::Widgets)

	set( CMAKE_CXX_FLAGS "-std=c++0x ${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}" )

    add_library(plasma_applet_qstardict MODULE ${qstardict_SRCS})
    set_target_properties(plasma_applet_qstardict PROPERTIES PREFIX "")
    target_link_libraries(plasma_applet_qstardict Qt5::Widgets Qt5::Gui KF5::Plasma KF5::Completion KF5::ConfigWidgets)
    plasma_install_package(. qstardict)

else (KF5)
	kde4_add_plugin(plasma_applet_qstardict ${qstardict_SRCS})
	target_link_libraries(plasma_applet_qstardict ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})
	install(TARGETS plasma_applet_qstardict DESTINATION ${PLUGIN_INSTALL_DIR})
	install(FILES plasma-qstardict-default.desktop DESTINATION ${SERVICES_INSTALL_DIR})
endif (KF5)

=== kdeplasma/dataengine/CMakeLists.txt ===
project(plasma-qstardictengine)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_SOURCE_DIR}/../../plugins)

#set(CMAKE_AUTOMOC ON)
#set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(qstardict_engine_SRCS
    dictengine.cpp
)

if (KF5)
	add_library(plasma_engine_qstardict MODULE ${qstardict_engine_SRCS})
	set_target_properties(plasma_engine_qstardict PROPERTIES PREFIX "")
	target_link_libraries(plasma_engine_qstardict KF5::Plasma)

else (KF5)
	kde4_add_plugin(plasma_engine_qstardict ${qstardict_engine_SRCS})
	target_link_libraries(plasma_engine_qstardict
	${KDE4_KDECORE_LIBS}
	${KDE4_PLASMA_LIBS}
	)
endif (KF5)

set(QSTARDICT_PLUGINS_DIR ${LIB_INSTALL_DIR}/qstardict/plugins)

configure_file(config.h.cmake config.h)


install(TARGETS plasma_engine_qstardict DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-dataengine-qstardict.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

## qstardict 0.13.1-6

=== debian/changelog ===
qstardict (0.13.1-6) unstable; urgency=low

  * Final Version

 -- SR <sbir@list.ru>  Fri, 29 Dec 2009 16:33:00 +0300

qstardict (0.13.1-5) unstable; urgency=low

  * Fixed GUI

 -- SR <sbir@list.ru>  Fri, 28 Dec 2009 23:27:00 +0300

qstardict (0.13.1-4) unstable; urgency=low

  * Fixed GUI
  * Updated to Qt 4.6

 -- SR <sbir@list.ru>  Fri, 26 Dec 2009 21:03:00 +0300

qstardict (0.13.1-3) unstable; urgency=low

  * Fixed GUI
  * Updated from svn
  * Code quirks cleaned

 -- SR <sbir@list.ru>  Fri, 26 Dec 2009 01:13:54 +0300

qstardict (0.13.1-2) unstable; urgency=low

  * Fixed GUI

 -- SR <sbir@list.ru>  Fri, 25 Dec 2009 20:13:54 +0300

qstardict (0.13.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- SR <sbir@list.ru>  Fri, 25 Dec 2009 17:13:54 +0300

=== debian/control ===
Source: qstardict
Version: 0.13.1-6
Section: x11
Priority: optional
Maintainer: SR <sbir@list.ru>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.4.0), libglib2.0-dev, zlib1g-dev, libx11-dev
Standards-Version: 3.8.0
Homepage: http://qstardict.ylsoftware.com

Package: qstardict
Architecture: any
Depends: ${shlibs:Depends}
Suggests: festival
Description: International dictionary written using Qt4
 QStarDict is a modern international dictionary written using Qt4.
 .
 Main features
  * Full support of StarDict dictionaries
  * Fuzzy search
  * Support for hyper links in translations
  * Working from the system tray
  * Scanning mouse selection and showing pop-up windows with translation of
    selected words
  * Translations reformatting
  * Pronouncing of the translated words
  * Plugins support

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	qmake-qt4
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS)"
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	if test -f $(CURDIR)/Makefile; then \
		$(MAKE) distclean; \
	fi
	if test -f $(CURDIR)/qstardict/moc_dbusadaptor.o; then \
	    rm -f $(CURDIR)/qstardict/moc_dbusadaptor.o; \
	fi
	if test -f $(CURDIR)/qstardict/dbusadaptor.o; then \
	    rm -f $(CURDIR)/qstardict/dbusadaptor.o; \
	fi
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	cd $(CURDIR)/qstardict && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/qstardict install
	cd $(CURDIR)/plugins && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/qstardict install
	mkdir -p $(CURDIR)/debian/qstardict/usr/share/pixmaps
	cp $(CURDIR)/debian/qstardict.xpm $(CURDIR)/debian/qstardict/usr/share/pixmaps/qstardict.xpm
	cp $(CURDIR)/qstardict/qstardict.png $(CURDIR)/debian/qstardict/usr/share/pixmaps/qstardict.png
	mkdir -p $(CURDIR)/debian/qstardict/usr/share/applications/hildon/
	cp $(CURDIR)/qstardict/qstardict.desktop $(CURDIR)/debian/qstardict/usr/share/applications/hildon/qstardict.desktop

binary-indep: build install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installmenu
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qstardict 0.13.1-7

=== debian/changelog ===
qstardict (0.13.1-7) unstable; urgency=low

  * optified
  * Fixed icons

 -- SR <sbir@list.ru>  Fri, 29 Dec 2009 21:43:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: qstardict
-Version: 0.13.1-6
+Version: 0.13.1-7
 Section: x11
 Priority: optional
 Maintainer: SR <sbir@list.ru>
-Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.4.0), libglib2.0-dev, zlib1g-dev, libx11-dev
+Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.4.0), libglib2.0-dev, zlib1g-dev, libx11-dev, debhelper-maemo-package-icons (>= 0.0.2), maemo-optify | maemo-version (< 5.0)
 Standards-Version: 3.8.0
-Homepage: http://qstardict.ylsoftware.com
 
 Package: qstardict
+Section: user/office
 Architecture: any
 Depends: ${shlibs:Depends}
 Suggests: festival
+XB-Maemo-Display-Name: QStarDict
 Description: International dictionary written using Qt4
  QStarDict is a modern international dictionary written using Qt4.
  .

## qstardict 0.13.1-8

=== debian/changelog ===
qstardict (0.13.1-8) unstable; urgency=low

  * GUI fix
  * Build rules fix

 -- SR <sbir@list.ru>  Fri, 29 Dec 2009 21:43:00 +0300

=== debian/control ===
Source: qstardict
Version: 0.13.1-8
Section: x11
Priority: optional
Maintainer: SR <sbir@list.ru>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.4.0), libglib2.0-dev, zlib1g-dev, libx11-dev, debhelper-maemo-package-icons (>= 0.0.2), maemo-optify | maemo-version (< 5.0)
Standards-Version: 3.8.0

Package: qstardict
Section: user/office
Architecture: any
Depends: ${shlibs:Depends}
Suggests: espeak
XB-Maemo-Display-Name: QStarDict
Description: International dictionary written using Qt4
 QStarDict is a modern international dictionary written using Qt4.
 .
 It is a StarDict clone written with using Qt4. It can use StarDict DICT files as a word database for translation. QStarDict supports plugins.

=== debian/rules ===
--- 
+++ 
@@ -45,13 +45,16 @@
 	cd $(CURDIR)/plugins && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/qstardict install
 	mkdir -p $(CURDIR)/debian/qstardict/usr/share/pixmaps
 	cp $(CURDIR)/debian/qstardict.xpm $(CURDIR)/debian/qstardict/usr/share/pixmaps/qstardict.xpm
+	mkdir -p $(CURDIR)/debian/qstardict/usr/share/icons/hicolor/scalable/hildon
 	cp $(CURDIR)/qstardict/qstardict.png $(CURDIR)/debian/qstardict/usr/share/pixmaps/qstardict.png
+	cp $(CURDIR)/qstardict/qstardict.png $(CURDIR)/debian/qstardict/usr/share/icons/hicolor/scalable/hildon/qstardict.png
 	mkdir -p $(CURDIR)/debian/qstardict/usr/share/applications/hildon/
 	cp $(CURDIR)/qstardict/qstardict.desktop $(CURDIR)/debian/qstardict/usr/share/applications/hildon/qstardict.desktop
 
 binary-indep: build install
 
 binary-arch: install
+	dh_maemo_package_icons
 	dh_testdir
 	dh_testroot
 	dh_installmenu
@@ -62,7 +65,11 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
+	if test -x /usr/bin/maemo-optify; then \
+		maemo-optify; \
+	fi
 	dh_builddeb
+	dh_maemo_package_icons -r
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://qstardict.ylsoftware.com/files/qstardict-(.*)\.tar\.bz2

## qstardict 0.13.2-1

=== debian/changelog ===
qstardict (0.13.2-1) unstable; urgency=low

  * Initial 0.13.2 release

 -- SR <sbir@list.ru>  Thu, 31 Dec 2009 00:13:54 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: qstardict
-Version: 0.13.1-8
-Section: x11
+Version: 0.13.2-1
+Section: user/office
 Priority: optional
-Maintainer: SR <sbir@list.ru>
+Maintainer: Alexander R <sbir@list.ru>
 Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.4.0), libglib2.0-dev, zlib1g-dev, libx11-dev, debhelper-maemo-package-icons (>= 0.0.2), maemo-optify | maemo-version (< 5.0)
 Standards-Version: 3.8.0
 
@@ -11,6 +11,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Suggests: espeak
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1199
 XB-Maemo-Display-Name: QStarDict
 Description: International dictionary written using Qt4
  QStarDict is a modern international dictionary written using Qt4.

=== debian/rules ===
--- 
+++ 
@@ -48,8 +48,12 @@
 	mkdir -p $(CURDIR)/debian/qstardict/usr/share/icons/hicolor/scalable/hildon
 	cp $(CURDIR)/qstardict/qstardict.png $(CURDIR)/debian/qstardict/usr/share/pixmaps/qstardict.png
 	cp $(CURDIR)/qstardict/qstardict.png $(CURDIR)/debian/qstardict/usr/share/icons/hicolor/scalable/hildon/qstardict.png
+	mkdir -p $(CURDIR)/debian/qstardict/usr/share/icons/hicolor/26x26/hildon
+	cp $(CURDIR)/debian/qstardict.png $(CURDIR)/debian/qstardict/usr/share/icons/hicolor/26x26/hildon/qstardict.png
 	mkdir -p $(CURDIR)/debian/qstardict/usr/share/applications/hildon/
 	cp $(CURDIR)/qstardict/qstardict.desktop $(CURDIR)/debian/qstardict/usr/share/applications/hildon/qstardict.desktop
+	mkdir -p $(CURDIR)/debian/qstardict/usr/share/doc/qstardict
+	cp $(CURDIR)/debian/copyright $(CURDIR)/debian/qstardict/usr/share/doc/qstardict/copyright
 
 binary-indep: build install

## qstardict 0.13.2-2

=== debian/changelog ===
qstardict (0.13.2-2) unstable; urgency=low

  * Some bugs fixed

 -- SR <sbir@list.ru>  Mon, 4 Jan 2010 00:24:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: qstardict
-Version: 0.13.2-1
+Version: 0.13.2-2
 Section: user/office
 Priority: optional
 Maintainer: Alexander R <sbir@list.ru>

## qstardict 0.13.2-3

=== debian/changelog ===
qstardict (0.13.2-3) unstable; urgency=low

  * Some bugs fixed

 -- SR <sbir@list.ru>  Sun, 31 Jan 2010 19:50:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: qstardict
-Version: 0.13.2-2
+Version: 0.13.2-3
 Section: user/office
 Priority: optional
 Maintainer: Alexander R <sbir@list.ru>

## qstardict 0.13.2-3fb

=== debian/changelog ===
qstardict (0.13.2-3fb) unstable; urgency=low

  * Recompilation for PR1.2.

 -- Frederic Bergeron <fbergeron@users.sourceforge.net>  Sat, 12 Jun 2010 22:30:00 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: user/office
 Priority: optional
 Maintainer: Alexander R <sbir@list.ru>
-Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.4.0), libglib2.0-dev, zlib1g-dev, libx11-dev, debhelper-maemo-package-icons (>= 0.0.2), maemo-optify | maemo-version (< 5.0)
+Build-Depends: debhelper (>= 5), libqt4-dev, libglib2.0-dev, zlib1g-dev, libx11-dev, debhelper-maemo-package-icons (>= 0.0.2), maemo-optify | maemo-version (< 5.0)
 Standards-Version: 3.8.0
 
 Package: qstardict

## qstardict 0.13.2-3fb2

=== debian/changelog ===
qstardict (0.13.2-3fb2) unstable; urgency=low

  * Recompilation for PR1.3.

 -- Frederic Bergeron <fbergeron@users.sourceforge.net>  Sat, 27 Oct 2010 22:30:00 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: user/office
 Priority: optional
 Maintainer: Alexander R <sbir@list.ru>
-Build-Depends: debhelper (>= 5), libqt4-dev, libglib2.0-dev, zlib1g-dev, libx11-dev, debhelper-maemo-package-icons (>= 0.0.2), maemo-optify | maemo-version (< 5.0)
+Build-Depends: debhelper (>= 5), libqt4-dev, libqt4-experimental-dev, libglib2.0-dev, zlib1g-dev, libx11-dev, debhelper-maemo-package-icons (>= 0.0.2), maemo-optify | maemo-version (< 5.0)
 Standards-Version: 3.8.0
 
 Package: qstardict

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	qmake-qt4
+	/opt/qt4-maemo5/bin/qmake
 	touch configure-stamp
 
 build: build-stamp

## qstardict 0.13.2-3fb3

=== debian/changelog ===
qstardict (0.13.2-3fb3) unstable; urgency=low

  * Removed dependency to libqt4-experimental-dev.

 -- Frederic Bergeron <fbergeron@users.sourceforge.net>  Sat, 29 Oct 2010 22:30:00 +0900

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	/opt/qt4-maemo5/bin/qmake
+	qmake
 	touch configure-stamp
 
 build: build-stamp

## qstardict 1.3

=== debian/changelog ===
qstardict (1.3-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:36 +0100

qstardict (1.3-5) unstable; urgency=medium

  * Rebuild for Debian Buster.
  * debian/patches: Backport upstream commit till 20181211.
  * debian/control:
    + Build-depend on debhelper-compat (= 12) instead of using
      debian/compat file.
    + Bump Standards-Version to 4.3.0.
    + Use "Rules-Requires-Root: no".

 -- Boyuan Yang <byang@debian.org>  Sat, 05 Jan 2019 21:14:56 -0500

qstardict (1.3-4) unstable; urgency=medium

  * Rebuild against gcc 8.2.
  * debian/copyright: Some minor fixes. Thanks Alexander Rodin for
    submitting fix on Salsa.
  * debian/rules: Do not invoke dpkg-architecture manually.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Oct 2018 21:14:00 -0400

qstardict (1.3-3) unstable; urgency=medium

  * Rebuild against gcc 8.
  * Bump Standards-Version to 4.2.1, no changes needed.
  * Update my uploader email address and use the @debian.org one.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Sep 2018 11:31:38 -0400

qstardict (1.3-2) unstable; urgency=medium

  * Backport upstream patches till git trunk.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * d/control: Use canonical Vcs url.
  * d/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Sat, 05 May 2018 21:27:52 +0800

qstardict (1.3-1) unstable; urgency=medium

  * Sponsored upload with original maintainer's approval.
  * Adopt package, set myself as maintainer as per MIA team's suggestion.
  * New upstream release. (2018-01-24) Closes: #528257
    + Ported to Qt5. Closes: #875145
    + Also backport some patches from upstream.
  * Switch to 3.0 (quilt) packaging format.
  * Bump debhelper compat level 5 -> 11.
    + Use dh sequencer.
  * Bump Standards-Version 3.8.0 -> 4.1.3.
  * Drop d/menu and d/qstardict.xpm files in favor of .desktop file.
  * Point d/watch file to GitHub releases.
  * Refresh d/qstardict.1 manpage and install it properly.
  * Rewrite d/copyright with machine-readable format.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 14 Feb 2018 10:06:18 +0800

qstardict (0.12.9-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Including individual glib headers no longer supported":
    apply patch from Michael Biebl to only #include <glib.h>
    (Closes: #665601)

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 Jun 2013 15:48:21 +0200

qstardict (0.12.9-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with binutils-gold (Closes: #556305).
    Thanks to Mahyuddin Susanto.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 17 May 2011 10:36:12 +0900

qstardict (0.12.9-1) unstable; urgency=low

  * New upstream release
  * Added libx11-dev to build-depends as qt doesn't depend on it explicitly
    anymore (Closes: #479889).

 -- Alexander Rodin <rodin.alexander@gmail.com>  Tue, 10 Jun 2008 23:30:18 +0400

qstardict (0.12.7-1.1) unstable; urgency=low

  * Non-maintainer upload of the package I sponsor.
  * Added zlib1g-dev to build-depends as qt doesn't depend on it explicitly
    anymore (Closes: #477021).
  * debian/rules: Added a rule to manually remove a couple of object files
    that don't get cleaned.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 21 Apr 2008 11:36:46 -0600

qstardict (0.12.7-1) unstable; urgency=low

  * New upstream release

 -- Alexander Rodin <rodin.alexander@gmail.com>  Mon, 31 Mar 2008 09:58:26 +0400

qstardict (0.12-1) unstable; urgency=low

  * New upstream release

 -- Alexander Rodin <rodin.alexander@gmail.com>  Fri, 28 Mar 2008 15:30:22 +0300

qstardict (0.08-1) unstable; urgency=low

  * Initial release

 -- Alexander Rodin <rodin.alexander@gmail.com>  Sun, 11 Nov 2007 16:54:39 +0300

Local variables:
 mode: debian-changelog
End:

=== debian/control ===
Source: qstardict
Section: x11
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 extra-cmake-modules,
 libglib2.0-dev,
 libkf5globalaccel-dev,
 libkf5notifications-dev,
 libkf5plasma-dev,
 libkf5windowsystem-dev,
 libx11-dev,
 qt5-qmake,
 qtbase5-dev,
 qtbase5-private-dev,
 qttools5-dev-tools,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: http://qstardict.ylsoftware.com
Vcs-Git: https://salsa.debian.org/debian/qstardict.git
Vcs-Browser: https://salsa.debian.org/debian/qstardict

Package: qstardict
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 festival,
Description: International dictionary written using Qt
 QStarDict is a modern international dictionary written using Qt.
 .
 Main features include:
  * Full support of StarDict dictionaries
  * Fuzzy search
  * Support for hyper links in translations
  * Working from the system tray
  * Scanning mouse selection and showing pop-up windows with translation of
    selected words
  * Translations reformatting
  * Pronouncing of the translated words
  * Plugins support

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT := 5

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem=qmake

override_dh_auto_install:
	dh_auto_install
	# upstream ships ChangeLog and COPYING,
	# let's remove them to make lintian happy
	rm -f debian/qstardict/usr/share/doc/qstardict/ChangeLog \
	        debian/qstardict/usr/share/doc/qstardict/COPYING

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%qstardict-$1.tar.gz%" \
 https://github.com/a-rodin/qstardict/tags \
 (?:.*?/)?qstardict-(\d[\d.]*)\.tar\.gz debian uupdate

## qstardict 1.4.1

=== debian/changelog ===
qstardict (1.4.1-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:19:26 +1100

qstardict (1.4.1-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:44:00 +0000

qstardict (1.4.1-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:32:05 +0000

qstardict (1.4.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:46:36 +0000

qstardict (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update upstream contact.

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Dec 2023 23:33:39 -0500

qstardict (1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Monitor new upstream site.
  * debian/copyright: Update information.
  * debian/patches: Drop all old patches, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Dec 2023 10:23:58 -0500

qstardict (1.3-8) unstable; urgency=medium

  * debian/clean: Manually clean config.tests/ to avoid FTBFS with twice
    build in a row followed by clean.
  * debian/control: Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Sat, 05 Aug 2023 20:38:48 -0400

qstardict (1.3-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Boyuan Yang ]
  * debian/rules: Use dh13 syntax.
  * Update standards version to 4.6.1, no changes needed.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 May 2022 16:32:07 -0400

qstardict (1.3-6) unstable; urgency=medium

  * Rebuild against Qt 5.14.
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump debhelper compat to v13.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Jun 2020 09:33:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: qstardict
 Section: x11
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  extra-cmake-modules,
  libglib2.0-dev,
  libkf5globalaccel-dev,
@@ -12,14 +13,15 @@
  libkf5plasma-dev,
  libkf5windowsystem-dev,
  libx11-dev,
+ libzim-dev,
  qt5-qmake,
  qtbase5-dev,
  qtbase5-private-dev,
  qttools5-dev-tools,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
-Homepage: http://qstardict.ylsoftware.com
+Standards-Version: 4.6.2
+Homepage: https://qstardict.ylsoftware.com
 Vcs-Git: https://salsa.debian.org/debian/qstardict.git
 Vcs-Browser: https://salsa.debian.org/debian/qstardict

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =
export QT_SELECT := 5

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem=qmake

execute_after_dh_auto_install:
	# upstream ships ChangeLog and COPYING,
	# let's remove them to make lintian happy
	rm -f debian/qstardict/usr/share/doc/qstardict/ChangeLog \
	        debian/qstardict/usr/share/doc/qstardict/COPYING

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%qstardict-$1.tar.gz%" \
 https://notabug.org/a-rodin/qstardict/releases \
 (?:.*?/)?@ANY_VERSION@\.tar\.gz debian uupdate

## qstardict 2.0.2

=== debian/changelog ===
qstardict (2.0.2-1) unstable; urgency=medium

  * adopt the package. Closes: #1065644
  * new upstream release. Closes: #494701, #611106
  * patched to use Qt6 and remove deprecated items. Closes: #1078385

 -- Alex Fomin <fomin_alex@yahoo.com>  Fri, 1 Nov 2024 14:30:22 +0300

qstardict (1.4.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1065644)

 -- Boyuan Yang <byang@debian.org>  Thu, 07 Mar 2024 19:24:25 -0500

## qstardict 3.0.0

=== kdeplasma/CMakeLists.txt ===
project(kdeplasma-qstardict)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include(MacroOptionalAddSubdirectory)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})


add_subdirectory(applet)
add_subdirectory(dataengine)

=== kdeplasma/applet/CMakeLists.txt ===
project(plasma-qstardict)

set(qstardict_SRCS
    dict.cpp)

kde4_add_plugin(plasma_applet_qstardict ${qstardict_SRCS})
target_link_libraries(plasma_applet_qstardict ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS}
)

install(TARGETS plasma_applet_qstardict DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-qstardict-default.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== kdeplasma/dataengine/CMakeLists.txt ===
project(plasma-qstardictengine)

INCLUDE_DIRECTORIES(
	${CMAKE_CURRENT_SOURCE_DIR}/../../plugins)


set(qstardict_engine_SRCS
    dictengine.cpp
)

kde4_add_plugin(plasma_engine_qstardict ${qstardict_engine_SRCS})
target_link_libraries(plasma_engine_qstardict
${KDE4_KDECORE_LIBS}
${KDE4_PLASMA_LIBS}
)

set(QSTARDICT_PLUGINS_DIR ${LIB_INSTALL_DIR}/qstardict/plugins)

configure_file(config.h.cmake config.h)


install(TARGETS plasma_engine_qstardict DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-dataengine-qstardict.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
qstardict (3.0.0-1) unstable; urgency=medium

  * New upstream release, refresh patches
  * debian/*.docs README rename to README.md
  * add patches to fix desktop entry file and minor spelling issues

 -- Alex Fomin <fomin_alex@yahoo.com>  Thu, 12 Dec 2024 19:04:47 +0300

qstardict (2.0.3-1) unstable; urgency=medium

  * new upstream release.
  * updated upstream source location
  * patched to use Qt6 and remove deprecated items

 -- Alex Fomin <fomin_alex@yahoo.com>  Sun, 08 Dec 2024 09:24:32 +0300

=== debian/control ===
Source: qstardict
Section: education
Priority: optional
Maintainer: Alex Fomin <fomin_alex@yahoo.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libglib2.0-dev,
 libx11-dev,
 qmake6,
 qt6-5compat-dev,
 qt6-base-dev,
 zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://qstardict.ylsoftware.com
Vcs-Git: https://salsa.debian.org/debian/qstardict.git
Vcs-Browser: https://salsa.debian.org/debian/qstardict

Package: qstardict
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 espeak,
 espeak-ng,
 festival,
Description: International dictionary written using Qt
 QStarDict is a modern international dictionary written using Qt.
 .
 Main features include:
  * Full support of StarDict dictionaries
  * Fuzzy search
  * Support for hyper links in translations
  * Working from the system tray
  * Scanning mouse selection and showing pop-up windows with translation of
    selected words
  * Translations reformatting
  * Pronouncing of the translated words
  * Plugins support

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/architecture.mk


%:
	dh $@ --buildsystem=qmake6

execute_after_dh_auto_install:
	# upstream ships ChangeLog and COPYING,
	# let's remove them to make lintian happy
	rm -f debian/qstardict/usr/share/doc/qstardict/ChangeLog \
		debian/qstardict/usr/share/doc/qstardict/COPYING

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%qstardict-$1.tar.gz%" \
 https://github.com/a-rodin/qstardict/tags \
 (?:.*?/)?@ANY_VERSION@\.tar\.gz debian uupdate
